If you recently purchased a Managed WordPress hosting service from GoDaddy or you already have this product, you’ll find out that there are plugins for WordPress that cannot be installed. Of all the hosting products that GoDaddy sells, this one comes with the most restrictions by far. The only true benefit of the Managed WordPress hosting product is the nightly backups that it runs. Other than the backups, this product has terrible resources, unless you’re running a 3 page website that does nothing more than have a contact form.

Amongst the plugins that cannot be installed, are some to be very useful and beneficial to a WordPress website. The best plugin for fixing a caching website is WP Fastest Cache, and the best plugin for checking broken links WP Broken Link Checker. GoDaddy says “Your Managed WordPress has blacklisted the following plugins, meaning you cannot install them, and if we detect them installed on your account, they will be removed.”

What this basically means, is you have to play by their rules if you’re going to use this hosting product. With that being said, I would suggest purchasing Business Hosting from GoDaddy and get away from the all-to-common shared hosting. To help you better understand which plugins have been blacklisted, I’ll break them into categories. I’ll place links to the most common plugins, so that if you choose to move away from Managed WordPress, you’ll be able to use them.

Caching Plugins

[dt_vc_list dividers=”false”]

  • w3-total-cache
  • wp-cache
  • wp-cachecom
  • wp-fast-cache
  • wp-fastest-cache (Learn how to increase your Google PageSpeed Score)
  • wp-file-cache
  • wp-super-cache

[/dt_vc_list]

Backup Plugins

[dt_vc_list dividers=”false”]

  • 6scan-backup
  • ezpz-one-click-backup
  • the-codetree-backup
  • Updraft (view alternative backup plugin: click here)
  • wp-database-backup
  • wponlinebackup

[/dt_vc_list]

Performance Plugins

[dt_vc_list dividers=”false”]

  • adsense-click-fraud-monitoring
  • broken-link-checker
  • google-sitemap-generator
  • google-xml-sitemaps-with-multisite-support

[/dt_vc_list]

Security Issue Plugins

[dt_vc_list dividers=”false”]

  • InfiniteWP Client
  • NextGEN Gallery
  • MailPoet
  • Pipdig Power Pack
  • slick-popup
  • toolspack
  • wp-copysafe-web
  • wp-copysafe-pdf
  • wp-database-backup (view alternative plugin: click here)
  • wp-live-chat-support

[/dt_vc_list]

Duplicate Plugins

[dt_vc_list dividers=”false”]

  • 6scan-protection
  • adminer (Used by Programmers)
  • portable-phpmyadmin
  • wordpress-gzip-compression
  • wp-phpmyadmin

[/dt_vc_list]

Unnecessary Plugins

[dt_vc_list dividers=”false”]

  • Hello Dolly (comes installed on EVERY WordPress Website)
  • p3-profiler (GoDaddy Performance Plugin)
  • sgcachepress
  • synthesis
  • wordpress-beta-tester
  • wp-engine-snapshot
  • wpengine-common

[/dt_vc_list]

Related Posts Plugins

[dt_vc_list dividers=”false”]

  • contextual-related-posts
  • fuzzy-seo-booster
  • seo-alrp
  • similar-posts
  • wordpress-popular-posts
  • yet-another-featured-posts-plugin
  • yet-another-related-posts-plugin

[/dt_vc_list]

Stats Plugins

[dt_vc_list dividers=”false”]

  • jr-referrer
  • referrer-wp
  • statpress
  • wp-postviews
  • wp-power-stats
  • wp-slimstat

[/dt_vc_list]

[elfsight_faq id=”3″]